New function BinRepr (was BinExp, also known as Macaulay representation)

23 May 2013 08:32 - Anna Maria Bigatti

Status: Closed Start date: 23 May 2013

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.9953 Spent time: 10.25 hours

Description

port the binomial representation into CoCoALib, and then to CoCoA-5.

It was called "BinExp" in CoCoA-4, but Exp reminds "exponent".

Related issues:

Related to CoCoA-5 - Design #474: Eliminate package BinRepr In Progress 14 Mar 2014

History

#1 - 23 May 2013 08:40 - Anna Maria Bigatti

- Subject changed from New function BinRepr (also known as Macaulay representation) to New function BinRepr (was BinExp, also known as

Macaulay representation)

#2 - 23 May 2013 12:32 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 0 to 90

I have implemented BinomialRepr and BinomialReprShift in CoCoALib, and made them accessible from CoCoA-5.  The documentation has been

updated.

The impl is a compromise between simplicity and speed; anyway, noticeably faster than CoCoA-4 for larger inputs.

Note: we have decided to declare EvalBinExp obsolete because the new function BinomialReprShift is fast enough.

#3 - 29 May 2013 16:41 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

I'm closing this even though strictly speaking there are no tests for BinomialRepr.
